Package org.apache.synapse.securevault.secret.repository

# Class FileBaseSecretRepository

java.lang.Object
org.apache.synapse.securevault.secret.repository.FileBaseSecretRepository

All Implemented Interfaces:
  `SecretRepository`

public class FileBaseSecretRepository extends Object implements SecretRepository
Holds all secrets in a file

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FileBaseSecretRepository(IdentityKeyStoreWrapper identity, TrustKeyStoreWrapper trust)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEncryptedData(String alias)`
  Returns the encrypted Value of provided alias name .
  `SecretRepository`
  `getParent()`
  Returns the parent secret repository
  `String`
  `getSecret(String alias)`
  Returns the secret of provided alias name .
  `void`
  `init(Properties properties, String id)`
  Initializes the repository based on provided properties
  `void`
  `setParent(SecretRepository parent)`
  Sets the parent secret repository Secret Repositories are made a chain so that , one can get a secret from other.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FileBaseSecretRepository

    public FileBaseSecretRepository(IdentityKeyStoreWrapper identity, TrustKeyStoreWrapper trust)

- ## Method Details

  - ### init

    public void init(Properties properties, String id)
    Initializes the repository based on provided properties
    Specified by:
      `init` in interface `SecretRepository`
    Parameters:
      `properties` - Configuration properties
      `id` - Identifier to identify properties related to the corresponding repository

  - ### getSecret

    public String getSecret(String alias)
    Description copied from interface: `SecretRepository`
    Returns the secret of provided alias name . An alias represents the logical name for a look up secret
    Specified by:
      `getSecret` in interface `SecretRepository`
    Parameters:
      `alias` - Alias name for look up a secret
    Returns:
      Secret if there is any , otherwise ,alias itself
    See Also:
      - `SecretRepository`

  - ### getEncryptedData

    public String getEncryptedData(String alias)
    Description copied from interface: `SecretRepository`
    Returns the encrypted Value of provided alias name . An alias represents the logical name for a look up secret
    Specified by:
      `getEncryptedData` in interface `SecretRepository`
    Parameters:
      `alias` - Alias name for look up a encrypted Value
    Returns:
      encrypted Value if there is any , otherwise ,alias itself
    See Also:
      - `SecretRepository`

  - ### setParent

    public void setParent(SecretRepository parent)
    Description copied from interface: `SecretRepository`
    Sets the parent secret repository Secret Repositories are made a chain so that , one can get a secret from other. For example, JDBC password can be in file based secret repository
    Specified by:
      `setParent` in interface `SecretRepository`
    Parameters:
      `parent` - Parent secret repository

  - ### getParent

    public SecretRepository getParent()
    Description copied from interface: `SecretRepository`
    Returns the parent secret repository
    Specified by:
      `getParent` in interface `SecretRepository`
    Returns:
      Parent secret repository